Package org.globus.rsl

# Class Binding

java.lang.Object
org.globus.rsl.Binding

public class Binding extends Object
This class represents a single variable definition in RSL (see rsl_substitution attribute)

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`_name`
`protected Value`
`_value`

## Constructor Summary

Constructors
Constructor
Description
`Binding(String name, String value)`
`Binding(String name, Value value)`

## Method Summary

Modifier and Type
Method
Description
`Binding`
`evaluate(Map symbolTable)`
Evaluates the variable definition with the specified symbol table.
`String`
`getName()`
Returns the name of the variable.
`Value`
`getValue()`
Returns the variable value.
`String`
`toRSL(boolean explicitConcat)`
Returns a RSL representation of this variable definition.
`void`
`toRSL(StringBuffer buf, boolean explicitConcat)`
Produces a RSL representation of this variable definition.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### _name

protected String _name

### _value

protected Value _value

## Constructor Details

### Binding

public Binding(String name, Value value)

### Binding

public Binding(String name, String value)

## Method Details

### getName

public String getName()
Returns the name of the variable.

Returns:
  the variable name.

### getValue

public Value getValue()
Returns the variable value.

Returns:
  the variable value.

### evaluate

public Binding evaluate(Map symbolTable) throws RslEvaluationException
Evaluates the variable definition with the specified symbol table.

Parameters:
  `symbolTable` - the symbol table to evaluate the value against.
Returns:
  an evaluated string.
Throws:
  `RslEvaluationException` - If an error occured during rsl evaluation.

### toRSL

public String toRSL(boolean explicitConcat)
Returns a RSL representation of this variable definition.

Parameters:
  `explicitConcat` - if true explicit concatination will be used in RSL strings.
Returns:
  RSL representation of this variable definition.

### toRSL

public void toRSL(StringBuffer buf, boolean explicitConcat)
Produces a RSL representation of this variable definition.

Parameters:
  `buf` - buffer to add the RSL representation to.
  `explicitConcat` - if true explicit concatination will be used in RSL strings.

### toString

public String toString()

Overrides:
  `toString` in class `Object`